## dialign-t 0.2.2.dfsg

=== source/Makefile ===
CC=gcc
# debug
#CPPFLAGS=-g -O0 -Q -v -da
#CPPFLAGS=-g -O0 -fstack-check -Q -v -da

#CPPFLAGS=-g -D_REENTRANT

# THIS IS FOR THE OPTIMIZED ONE
#CPPFLAGS=-g 
#CPPFLAGS=-O3 -march=i686 -funroll-loops
CPPFLAGS=-O3 -funroll-loops -march=i686 -mfpmath=sse -msse  -mmmx
#CPPFLAGS=-march=athlon-mp -g -O0 -Wall -D_USE_XOPEN -D__unix__

OBJ_DIR=.
TARGET=.

OBJ =  \
	$(OBJ_DIR)/museq.o \
	$(OBJ_DIR)/parameters.o \
	$(OBJ_DIR)/io.o \
	$(OBJ_DIR)/diag.o \
	$(OBJ_DIR)/alig.o \
	$(OBJ_DIR)/prob.o \
	$(OBJ_DIR)/orf.o \
	$(OBJ_DIR)/translate.o \


all: museq

clean:
	rm -rf *.o *rtl *jump *addre* *cfg *life *reg *reload *flow* *stack  museq dialign-t

museq:	$(OBJ)
	rm -f $(TARGET)/$@
	$(CC) -o $(TARGET)/$@ \
	$(OBJ) \
	-pipe -Wall -lm 
	mv museq dialign-t

## dialign-t 1.0.2

=== source/Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	$(OBJ_DIR)/io.o \
 	$(OBJ_DIR)/diag.o \
 	$(OBJ_DIR)/alig.o \
+	$(OBJ_DIR)/assemble.o \
 	$(OBJ_DIR)/prob.o \
 	$(OBJ_DIR)/orf.o \
 	$(OBJ_DIR)/translate.o \
@@ -28,11 +29,11 @@
 all: museq
 
 clean:
-	rm -rf *.o *rtl *jump *addre* *cfg *life *reg *reload *flow* *stack  museq dialign-t
+	rm -rf *.o *rtl *jump *addre* *cfg *life *reg *reload *flow* *stack  museq dialign-tx
 
 museq:	$(OBJ)
 	rm -f $(TARGET)/$@
 	$(CC) -o $(TARGET)/$@ \
 	$(OBJ) \
 	-pipe -Wall -lm 
-	mv museq dialign-t
+	mv museq dialign-tx

=== debian/changelog ===
dialign-t (1.0.2-8) unstable; urgency=medium

  * cme fix dpkg-control
  * Fix spelling
  * Fix bug in getopt reported by Mayhem
    Closes: #715816

 -- Andreas Tille <tille@debian.org>  Wed, 16 Dec 2015 13:11:39 +0100

dialign-t (1.0.2-7) unstable; urgency=medium

  [ Andreas Tille ]
  * moved debian/upstream to debian/upstream/metadata
  
  [ Arthur Marble ]
  * Fix FTBFS with clang
    - Fixed the undefined reference error in
      source/alig.c
      source/assemble.c
      source/diag.c
    Closes: #757281

 -- Andreas Tille <tille@debian.org>  Wed, 06 Aug 2014 15:52:44 -0500

dialign-t (1.0.2-6) unstable; urgency=medium

  * debian/patches/consistent_declarations.patch: Make sure declarations
    of function simple_aligner are consistent
    Closes: #746770

 -- Andreas Tille <tille@debian.org>  Fri, 09 May 2014 11:50:13 +0200

dialign-t (1.0.2-5) unstable; urgency=low

  * enable running "debian/rules build-arch", i.e. without building arch
    independent packages (thanks to Roland Stigge for the patch)
    Closes: #731214

 -- Andreas Tille <tille@debian.org>  Tue, 03 Dec 2013 10:24:51 +0100

dialign-t (1.0.2-4) unstable; urgency=low

  * Set conditional sse optimising flags
    Closes: #729652

 -- Andreas Tille <tille@debian.org>  Mon, 02 Dec 2013 19:10:33 +0100

dialign-t (1.0.2-3) unstable; urgency=low

  [ Charles Plessy ]
  * debian/upstream: renamed from upstream-metadata.yaml

  [ Andreas Tille]
  * debian/upstream:
     - Removed duplicate of DOI
     - Moved PMID to References
  * debian/control:
     - cme fix dpkg-control
     - removed Conflicts/Provides/Replaces: dialign-t,dialign-t-doc
       since this is not even in oldstable any more
     - canonical Vcs URLs
     - debhelper 9
  * debian/patches/prevent_enforcing_arch.patch: Do not enforce specific
    architecture
  * debian/patches/hardening.patch: Propagate hardening options
  * debian/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Wed, 13 Nov 2013 14:12:59 +0100

dialign-t (1.0.2-2) unstable; urgency=low

  [ Charles Plessy ]
  * Documented information in ‘debian/upstream-metadata.yaml’.
  * Removed mention of the bibliographic reference in ‘debian/control’.

  [ Andreas Tille ]
  * Added myself to uploaders
  * Standards-Version: 3.9.1 (no changes needed)
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Fri, 14 Jan 2011 15:20:54 +0100

dialign-t (1.0.2-1) unstable; urgency=low

  * New upstream release:
    - Fixes memory handling with anchor points.
    - New option: -A optional anchor file [DEFAULT none]
  * debian/dialign-tx.1*: documented the -A option.
  * debian/co{mpat,trol}: using Debhelper 7.

 -- Charles Plessy <plessy@debian.org>  Mon, 15 Dec 2008 14:12:59 +0900

dialign-t (1.0.1-2) unstable; urgency=low

  * debian/control:
    - dialign-tx-data recommends dialign-tx, not dialign-t.
    - Checked conformance with Policy 3.8.0 (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Sat, 21 Jun 2008 13:29:00 +0900

dialign-t (1.0.1-1) unstable; urgency=low

  * New upstream release updating bibliographic reference.
  * debian/copyright: cosmetic changes.
  * debian/dialign.1*:
    - Converted DiAlign to DIALIGN;
    - updated reference;
    - incremented copyright year and version number.
  * debian/control: updated reference.

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Jun 2008 19:58:50 +0900

dialign-t (1.0.0-1) unstable; urgency=low

  [ David Paleino ]
  * Updated to Standards-Version 3.7.3 (no changes needed)

  [ Charles Plessy ]
  * New upstream version, renamed DIALIGN-TX.
  * debian/control: Enhances: t-coffee.
  * debian/copyright:
    - Converted to machine-readable format.
    - Updated relevant copyrights for 2008.
  * Updated my email address.

 -- Charles Plessy <plessy@debian.org>  Sat, 03 May 2008 11:16:37 +0900

dialign-t (0.2.2.dfsg-1) unstable; urgency=low

  * Removed upstream documentation.
  * Initial release (Closes: #445983)

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Mon, 19 Nov 2007 23:45:20 +0900

=== debian/control ===
Source: dialign-t
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dialign-t/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/dialign-t/trunk/
Homepage: http://dialign-tx.gobics.de/

Package: dialign-tx
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dialign-tx-data (= ${source:Version})
Enhances: t-coffee
Description: Segment-based multiple sequence alignment
 DIALIGN-TX is a command line tool to perform multiple alignment of protein or
 DNA sequences. It is a complete reimplementation of the segment-base approach
 including several new improvements and heuristics that significantly enhance
 the quality of the output alignments compared to DIALIGN 2.2 and DIALIGN-T.
 For pairwise alignment, DIALIGN-TX uses a fragment-chaining algorithm that
 favours chains of low-scoring local alignments over isolated high-scoring
 fragments. For multiple alignment, DIALIGN-TX uses an improved greedy
 procedure that is less sensitive to spurious local sequence similarities.

Package: dialign-tx-data
Architecture: all
Depends: ${misc:Depends}
Enhances: dialign-tx
Description: Segment-based multiple sequence alignment (data files)
 DIALIGN-TX is a command line tool to perform multiple alignment of protein or
 DNA sequences. It is a complete reimplementation of the segment-base approach
 including several new improvements and heuristics that significantly enhance
 the quality of the output alignments compared to DIALIGN 2.2 and DIALIGN-T.
 For pairwise alignment, DIALIGN-TX uses a fragment-chaining algorithm that
 favours chains of low-scoring local alignments over isolated high-scoring
 fragments. For multiple alignment, DIALIGN-TX uses an improved greedy
 procedure that is less sensitive to spurious local sequence similarities.
 .
 This package contain the score matrices and probability distribution files
 that DIALIGN-TX needs to align peptidic and nucleic sequences.

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR=$(CURDIR)/source

export SSEFLAGS := $(shell if [ `dpkg-architecture -qDEB_BUILD_ARCH` = amd64 -o `dpkg-architecture -qDEB_BUILD_ARCH` = i386 ] ; then echo "-mfpmath=sse -msse -mmmx" ; fi)

%:
	dh $@ --sourcedirectory=$(SRCDIR) --parallel

override_dh_fixperms-indep:
	chmod 644 $(CURDIR)/debian/dialign-tx-data/usr/share/dialign-tx/*

=== debian/watch ===
version=3
#opts="dversionmangle=s/.dfsg.*//" \
http://dialign-tx.gobics.de/download http://dialign-tx.gobics.de/DIALIGN-TX_(.*)\.tar\.gz
